Payment batches & settlement
Get Schedule Settlement Status
Name and signature indicate it gets schedule settlement status
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-schedule-settlement-status?taxReferenceID=%3CtaxReferenceID%3E' \
--header 'Authorization: Bearer <token>'{
"hasTransaction": true,
"status": "QUEUED",
"transaction": {
"transactionID": "string",
"providerName": "SAFE",
"status": "QUEUED",
"providerTransactionID": "string",
"transactionHash": "string",
"explorerUrl": "string",
"destinationAddress": "string",
"submittedAmount": "string",
"sourceCustodyWalletID": "string",
"isPartial": true,
"lastStatusChangeAt": "string",
"createdAt": "string",
"error": {
"code": "string",
"message": "string",
"httpStatus": 0
}
},
"canSubmit": true,
"canRetry": true,
"isMultiPart": true,
"partSummary": {
"total": 0,
"ready": 0,
"pending": 0,
"completed": 0,
"failed": 0
},
"parts": [
{
"taxReferenceID": "string",
"custodyWalletID": "string",
"providerName": "SAFE",
"submittedAmount": "string",
"status": "READY",
"providerTransactionID": "string",
"transactionID": "string",
"error": {
"code": "string",
"message": "string",
"httpStatus": 0
},
"lastStatusChangeAt": "string"
}
],
"allTransactions": [
{
"transactionID": "string",
"providerName": "SAFE",
"status": "QUEUED",
"providerTransactionID": "string",
"transactionHash": "string",
"explorerUrl": "string",
"destinationAddress": "string",
"submittedAmount": "string",
"sourceCustodyWalletID": "string",
"isPartial": true,
"lastStatusChangeAt": "string",
"createdAt": "string",
"error": {
"code": "string",
"message": "string",
"httpStatus": 0
}
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
taxReferenceIDstring<uuid>requiredResponse
200Successful response
hasTransactionbooleanrequiredstatusstring | nullrequiredAvailable options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED, null
transactionobjectShow child attributes
transactionIDstringrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
statusstringrequiredAvailable options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED
providerTransactionIDstringtransactionHashstringexplorerUrlstringdestinationAddressstringrequiredsubmittedAmountstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
sourceCustodyWalletIDstringisPartialbooleanlastStatusChangeAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
createdAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
errorobjectShow child attributes
codestringmessagestringhttpStatusnumbercanSubmitbooleanrequiredcanRetrybooleanrequiredisMultiPartbooleanpartSummaryobjectShow child attributes
totalintegerrequiredreadyintegerrequiredpendingintegerrequiredcompletedintegerrequiredfailedintegerrequiredpartsobject[]Show child attributes
taxReferenceIDstringrequiredcustodyWalletIDstringrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
submittedAmountstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
statusstringrequiredAvailable options: READY, PENDING, COMPLETED, FAILED, BLOCKED
providerTransactionIDstringtransactionIDstringerrorobjectShow child attributes
codestringmessagestringhttpStatusnumberlastStatusChangeAtstringAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
allTransactionsobject[]Show child attributes
transactionIDstringrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
statusstringrequiredAvailable options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED
providerTransactionIDstringtransactionHashstringexplorerUrlstringdestinationAddressstringrequiredsubmittedAmountstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
sourceCustodyWalletIDstringisPartialbooleanlastStatusChangeAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
createdAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
errorobjectShow child attributes
codestringmessagestringhttpStatusnumber